Name:           python-plotly
Version:        5.22.0
Release:        %mkrel 1
Summary:        An open-source, interactive data visualization library for Python
Group:          Development/Python

License:        MIT
URL:            https://plotly.com/python/
Source:         %{pypi_source plotly}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
plotly.py is an interactive, open-source, and browser-based graphing library for
Python.
Built on top of plotly.js, plotly.py is a high-level, declarative charting
library. 
plotly.js ships with over 30 chart types, including scientific charts,
3D graphs, statistical charts, SVG maps, financial charts, and more.
Plotly graphs can be viewed in Jupyter notebooks, standalone HTML files, or
integrated into Dash applications.}

%description %_description

%package -n     python3-plotly
Summary:        %{summary}

%description -n python3-plotly %_description


%prep
%autosetup -p1 -n plotly-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files plotly _plotly_utils _plotly_future_ jupyterlab_plotly
# not at expected place
mkdir -p %{buildroot}%{_sysconfdir}/jupyter/nbconfig/notebook.d
mv %{buildroot}/usr/etc/jupyter/nbconfig/notebook.d/jupyterlab-plotly.json %{buildroot}%{_sysconfdir}/jupyter/nbconfig/notebook.d/jupyterlab-plotly.json

%files -n python3-plotly -f %{pyproject_files}
%{_datadir}/jupyter/labextensions/jupyterlab-plotly/
%{_datadir}/jupyter/nbextensions/jupyterlab-plotly/
%exclude /usr/etc/jupyter/nbconfig/notebook.d/jupyterlab-plotly.json
%{_sysconfdir}/jupyter/nbconfig/notebook.d/jupyterlab-plotly.json


%changelog
* Thu May 16 2024 papoteur <papoteur> 5.22.0-1.mga10
+ Revision: 2064456
- new version 5.22.0

* Tue Mar 26 2024 papoteur <papoteur> 5.20.0-1.mga10
+ Revision: 2052333
- imported package python-plotly

